This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 799404 - Grid - Limits - CSV - html metadata
Grid - Limits - CSV - html metadata
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 2.3
: ---
Assigned To: Chad Roberts
Peter Belanyi
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 11:46 EST by Stanislav Graf
Modified: 2014-11-17 21:24 EST (History)
5 users (show)

See Also:
Fixed In Version: cumin-0.1.5572-1
Doc Type: Bug Fix
Doc Text:
Cause: The class that renders the limits did not have special handling for the CSV export. Consequence: The exported version of the limits table showed HTML markup when it is not appropriate. Fix: Added special handling to strip out the html tagging on CSV export. Result: The limits now display correctly in the exported CSV file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:42:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stanislav Graf 2012-03-02 11:46:33 EST
Description of problem:
Submit job with limit
Open Cumin web:
Grid - Limits - Save to CSV file

Result:
Name	Current usage	Max allowance
testlimit	1	<a href="form.html?modes.m=NegotiatorLimitTask_54703184;modes.NegotiatorLimitTask_54703184.return=csv%3Ffile%3DLimit%3Bmodes.m%3Dlimits_csv" >1.0</a>


Version-Release number of selected component (if applicable):
cumin-0.1.5233-1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Submit job with limit
2. Open Cumin web:
3. Grid - Limits - Save to CSV file

Actual results:
CSV contains html metadata

Expected results:
CSV contains proper values

Additional info:
Comment 2 Trevor McKay 2012-03-06 09:20:22 EST
I'll take a look at this too.
Comment 3 Chad Roberts 2012-03-14 11:02:29 EDT
(In reply to comment #2)
> I'll take a look at this too.

I'm on it.  Should have it fixed soon.
Comment 4 Chad Roberts 2012-03-14 12:40:29 EDT
Fixed on trunk revision 5247
Comment 7 Chad Roberts 2012-05-22 14:57:09 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:  The class that renders the limits did not have special handling for the CSV export.

Consequence: The exported version of the limits table showed HTML markup when it is not appropriate.

Fix:  Added special handling to strip out the html tagging on CSV export.

Result:  The limits now display correctly in the exported CSV file.
Comment 12 Peter Belanyi 2012-12-07 10:17:46 EST
The 'Fixed In Version' field states that this bug was fixed in cumin-0.1.5251-1, but I was able to reproduce it in cumin-0.1.5444-3.

Was it originally fixed in cumin-0.1.5251-1, but then removed from later builds, and then added again? If so, could you please update the 'Fixed In Version' field so that I can finish verification?
Comment 13 Trevor McKay 2012-12-10 15:53:29 EST
Yes, it was descoped for the last release which was built from a branch rather than trunk.  Latest builds have the fix.

Note that the svn revision numbers apply to the entire Cumin repo, so it is possible to have features missing from a release even when the release has a higher revision number than the commit that originally fixed the issue :)

(In reply to comment #12)
> The 'Fixed In Version' field states that this bug was fixed in
> cumin-0.1.5251-1, but I was able to reproduce it in cumin-0.1.5444-3.
> 
> Was it originally fixed in cumin-0.1.5251-1, but then removed from later
> builds, and then added again? If so, could you please update the 'Fixed In
> Version' field so that I can finish verification?
Comment 14 Peter Belanyi 2012-12-19 04:46:10 EST
I was able to reproduce on cumin-0.1.5192-4

I verified on RHEL5 and RHEL6, both i386 and x86_64, with cumin-0.1.5572-1
Comment 16 errata-xmlrpc 2013-03-06 13:42:07 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.